[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TPoint

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Record describing a point in a 2 dimensional plane.

## Declaration

Source position: objects.pp line 234

`type TPoint = object`
`X: Sw_Integer;` |  | X coordinate
`Y: Sw_Integer;` |  | Y coordinate
`end;`

## Inheritance

`TPoint` |  | Record describing a point in a 2 dimensional plane.